#ifndef _HW_CONFIG_H
#define _HW_CONFIG_H

#define START RA5
#define GOAL RA0
#define IRA RA2
#define SWCH RA3
#define SPK LATA1
#define PORT_SG PORTA

#define MASK_SG 0b00100001  // START and GOAL
#define MASK_COURSE 0b00000100  // iraira course
#define MASK_START 0b00100000     // goal of reverse
#define MASK_GOAL 0b00000001 // goal of forword
#define MASK_SW 0b00001000  // switch

#define INIT_HW() init_hw_p16f1823()

void init_hw_p16f1823(void);

#endif