#ifndef _SOUND_H
#define _SOUND_H

#ifndef _XTAL_FREQ
#define _XTAL_FREQ 4000000	// 4MHz
#endif

// Fosc = 4MHz / TMR PS = 1:4
#define NOTE4C  17
#define NOTE4Cs 31
#define NOTE4D  43
#define NOTE4Ds 55
#define NOTE4E  66
#define NOTE4F  77
#define NOTE4Fs 87
#define NOTE4G  97
#define NOTE4Gs 106
#define NOTE4A  114
#define NOTE4As 122
#define NOTE4B  129
#define NOTE5C  137

const unsigned char note_ary[] = {NOTE4C, NOTE4Cs, NOTE4D, NOTE4Ds, NOTE4E,
    NOTE4F, NOTE4Fs, NOTE4G, NOTE4Gs, NOTE4A, NOTE4As, NOTE4B, NOTE5C};

unsigned char t0_add;

void sdelay_100ms(void);
void sdelay_200ms(void);
void sound_on(unsigned char note);
void sound_off(void);
void sound_on_10ms(unsigned char s, unsigned char t);
void sound_pkmn(void);

#endif